Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class ValueTypeFactory

    java.lang.Object
      com.servingxml.util.record.ValueTypeFactory

    public class ValueTypeFactory

extends java.lang.Object

Field Summary
`static ValueType` | `BOOLEAN_TYPE`
`static Name` | `BOOLEAN_TYPE_NAME`
`static ValueType` | `BYTE_TYPE`
`static Name` | `BYTE_TYPE_NAME`
`static DateValueType` | `DATE_TYPE`
`static Name` | `DATE_TYPE_NAME`
`static DateTimeValueType` | `DATETIME_TYPE`
`static Name` | `DATETIME_TYPE_NAME`
`static ValueType` | `DECIMAL_TYPE`
`static Name` | `DECIMAL_TYPE_NAME`
`static ValueType` | `DOUBLE_TYPE`
`static Name` | `DOUBLE_TYPE_NAME`
`static ValueType` | `FLOAT_TYPE`
`static Name` | `FLOAT_TYPE_NAME`
`static ValueType` | `HEX_BINARY_TYPE`
`static Name` | `HEX_BINARY_TYPE_NAME`
`static Name` | `INT_TYPE_NAME`
`static ValueType` | `INTEGER_TYPE`
`static ValueType` | `LONG_TYPE`
`static Name` | `LONG_TYPE_NAME`
`static ValueType` | `SHORT_TYPE`
`static Name` | `SHORT_TYPE_NAME`
`static ValueType` | `STRING_TYPE`
`static Name` | `STRING_TYPE_NAME`
`static TimeValueType` | `TIME_TYPE`
`static Name` | `TIME_TYPE_NAME`

Constructor Summary
`ValueTypeFactory()`

Method Summary
`static ValueType` | `lookupValueType(Name typeName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DOUBLE_TYPE_NAME

    public static final Name DOUBLE_TYPE_NAME

### FLOAT_TYPE_NAME

    public static final Name FLOAT_TYPE_NAME

### STRING_TYPE_NAME

    public static final Name STRING_TYPE_NAME

### LONG_TYPE_NAME

    public static final Name LONG_TYPE_NAME

### INT_TYPE_NAME

    public static final Name INT_TYPE_NAME

### SHORT_TYPE_NAME

    public static final Name SHORT_TYPE_NAME

### BYTE_TYPE_NAME

    public static final Name BYTE_TYPE_NAME

### DATETIME_TYPE_NAME

    public static final Name DATETIME_TYPE_NAME

### DATE_TYPE_NAME

    public static final Name DATE_TYPE_NAME

### TIME_TYPE_NAME

    public static final Name TIME_TYPE_NAME

### DECIMAL_TYPE_NAME

    public static final Name DECIMAL_TYPE_NAME

### BOOLEAN_TYPE_NAME

    public static final Name BOOLEAN_TYPE_NAME

### HEX_BINARY_TYPE_NAME

    public static final Name HEX_BINARY_TYPE_NAME

### STRING_TYPE

    public static final ValueType STRING_TYPE

### LONG_TYPE

    public static final ValueType LONG_TYPE

### INTEGER_TYPE

    public static final ValueType INTEGER_TYPE

### SHORT_TYPE

    public static final ValueType SHORT_TYPE

### BYTE_TYPE

    public static final ValueType BYTE_TYPE

### FLOAT_TYPE

    public static final ValueType FLOAT_TYPE

### DOUBLE_TYPE

    public static final ValueType DOUBLE_TYPE

### DECIMAL_TYPE

    public static final ValueType DECIMAL_TYPE

### DATETIME_TYPE

    public static final DateTimeValueType DATETIME_TYPE

### DATE_TYPE

    public static final DateValueType DATE_TYPE

### TIME_TYPE

    public static final TimeValueType TIME_TYPE

### BOOLEAN_TYPE

    public static final ValueType BOOLEAN_TYPE

### HEX_BINARY_TYPE

    public static final ValueType HEX_BINARY_TYPE

Constructor Detail

### ValueTypeFactory

    public ValueTypeFactory()

Method Detail

### lookupValueType

    public static ValueType lookupValueType(Name typeName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD